Debian Bug report logs - #271256
EXPLANATION: Why testing lacks some kde packages in some architectures

version graph

Package: kdegraphics; Maintainer for kdegraphics is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kdegraphics is src:meta-kde.

Reported by: Andreas Feldner <pelzi@flying-snail.de>

Date: Sun, 12 Sep 2004 07:48:01 UTC

Severity: grave

Found in version 4:3.2.3-1.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#271256; Package kdegraphics. Full text and rfc822 format available.

Acknowledgement sent to Andreas Feldner <pelzi@flying-snail.de>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Feldner <pelzi@flying-snail.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kdegraphics: collection package broken, because components are not available
Date: Sun, 12 Sep 2004 09:41:56 +0200
Package: kdegraphics
Version: 4:3.2.3-1.1
Severity: grave
Justification: renders package unusable

It seems that no kdegraphics packages are available in version 3.2.3
(yet)? So, it doesn't seem sensible to make a collection-package 
for them available.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: alpha
Kernel: Linux 2.4.26
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages kdegraphics depends on:
ii  kamera                        4:3.2.2-1  digital camera io_slave for Konque
ii  kcoloredit                    4:3.2.2-1  An editor for palette files
ii  kdegraphics-kfile-plugins     4:3.2.2-1  provide meta information for graph
ii  kdvi                          4:3.2.2-1  KDE dvi viewer
ii  kfax                          4:3.2.2-1  KDE G3/G4 Fax Viewer
ii  kgamma                        4:3.2.2-1  Gamma correction KControl module
ii  kghostview                    4:3.2.2-1  PostScript viewer for KDE
ii  kiconedit                     4:3.2.2-1  An icon editor for creating KDE ic
ii  kmrml                         4:3.2.2-1  A Konqueror plugin for searching p
ii  kooka                         4:3.2.2-1  Scanner program for KDE
ii  kpaint                        4:3.2.2-1  A Simple Paint Program for KDE
ii  kpdf                          4:3.2.2-1  PDF viewer for KDE
ii  kpovmodeler                   4:3.2.2-1  A graphical editor for povray scen
ii  kruler                        4:3.2.2-1  a screen ruler and color measureme
ii  ksnapshot                     4:3.2.2-1  Screenshot application for KDE
ii  ksvg                          4:3.2.2-1  SVG viewer for KDE
ii  kuickshow                     4:3.2.2-1  KDE image/slideshow viewer
ii  kview                         4:3.2.2-1  KDE simple image viewer/converter
ii  kviewshell                    4:3.2.2-1  KDE generic framework for viewer a
ii  libkscan1                     4:3.2.2-1  Scanner library for KDE

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#271256; Package kdegraphics. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 271256@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Andreas Feldner <pelzi@flying-snail.de>, 271256@bugs.debian.org
Subject: Re: Bug#271256: kdegraphics: collection package broken, because components are not available
Date: Sun, 12 Sep 2004 14:51:18 +0200
* Andreas Feldner [Sun, 12 Sep 2004 09:41:56 +0200]:

> It seems that no kdegraphics packages are available in version 3.2.3
> (yet)? So, it doesn't seem sensible to make a collection-package 
> for them available.

  hi Andreas, what do you exactly mean by the above? I'm afraid I fail
  to understand your report.

  thanks,

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
If you think nobody cares if you're alive, try missing a couple of car
payments.
                -- Earl Wilson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#271256; Package kdegraphics. Full text and rfc822 format available.

Acknowledgement sent to andreas@flying-snail.de:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 271256@bugs.debian.org (full text, mbox):

From: Andreas Feldner <pelzi@flying-snail.de>
To: Adeodato Simó <asp16@alu.ua.es>
Cc: 271256@bugs.debian.org
Subject: Re: Bug#271256: kdegraphics: collection package broken, because components are not available
Date: Mon, 13 Sep 2004 01:19:44 +0200
Hi Adeodato,

in "Testing" there's a KDE Graphics metapackage (kdegraphics) 4:3.2.3-1.1 
("all" architectures). However, the actual packages (e.g. kpaint) for which 
kdegraphics generates dependencies only, are available only for i386 and 
powerpc. Therefore, "kdegraphics" really is only available for i386 and 
powerpc and shouldn't be marked available for "all" platforms. On alpha 
platform, the current situation is that apt-get update marks kdegraphics as 
updatable (from 3.2.2-1 to 3.2.3-1.1) - but broken, because the packages it 
depends on are not available. Apart from the obvious problem, that 
kdegraphics is not really currently availabe on "all" platforms (but only 
i386 and powerpc), I wonder why the kdegraphics packages haven't been built 
for the other architectures?

Hope that this makes things clearer?

Andreas.

Am Sonntag, 12. September 2004 14:51 schrieben Sie:
> * Andreas Feldner [Sun, 12 Sep 2004 09:41:56 +0200]:
> > It seems that no kdegraphics packages are available in version 3.2.3
> > (yet)? So, it doesn't seem sensible to make a collection-package
> > for them available.
>
>   hi Andreas, what do you exactly mean by the above? I'm afraid I fail
>   to understand your report.
>
>   thanks,



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#271256; Package kdegraphics. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 271256@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: andreas@flying-snail.de, 271256@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#271256: kdegraphics: collection package broken, because components are not available
Date: Mon, 13 Sep 2004 01:46:04 +0200
retitle 271256 EXPLANATION: Why testing lacks some kde packages in some architectures
tag 271256 sid
quit

(I'm intentonally keeping severity to have this on top of the list of bugs.
Tagging sid not to affect RC count, hope nobody disagrees.)

* Andreas Feldner [Mon, 13 Sep 2004 01:19:44 +0200]:
> Hi Adeodato,

  hi.

> Hope that this makes things clearer?

  yes. I somehow overlooked packages.debian.org output.

> in "Testing" there's a KDE Graphics metapackage (kdegraphics) 4:3.2.3-1.1 
> ("all" architectures). However, the actual packages (e.g. kpaint) for which 
> kdegraphics generates dependencies only, are available only for i386 and 
> powerpc. Therefore, "kdegraphics" really is only available for i386 and 
> powerpc and shouldn't be marked available for "all" platforms. On alpha 
> platform, the current situation is that apt-get update marks kdegraphics as 
> updatable (from 3.2.2-1 to 3.2.3-1.1) - but broken, because the packages it 
> depends on are not available. Apart from the obvious problem, that 
> kdegraphics is not really currently availabe on "all" platforms (but only 
> i386 and powerpc), I wonder why the kdegraphics packages haven't been built 
> for the other architectures?

  this was the process:

    1. kdegraphics was removed from testing to ease the migration of
       other packages.

    2. a new kdegraphics package for testing was prepared.

    3. autobuilders then take the source package and compile it, and the
       package enters testing once all architectures have compiled it.

    4. a Release Manager decided to let kdegraphics enter testing with
       missing builds. this is normally not done to avoid breakages like
       the one you're watching, but it was thought that it was better to
       have at least working packages for i386 and powerpc that no
       packages at all.

    5. now kdegraphics has a little trouble about getting compiled by
       other autobuilders, trouble of which the Release Team is
       perfectly aware of.

  so the only thing to say is: patience. and: the current brokeness
  state is just in benefit of sarge being released earlier.

  thanks for your understanding,

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
When the only tool you have is a hammer, every problem starts to look
like a nail.




Changed Bug title. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#271256; Package kdegraphics. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 271256@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 271256@bugs.debian.org
Subject: EXPLANATION: Why testing lacks some kde packages in some architectures
Date: Sat, 6 Nov 2004 20:36:44 -0600
tag 271256 + sarge
tag 271256 - sid
stop

I am not certain why this was reassigned to sid, since it is only a
problem in sarge, all the archs are available for sid. I am reassigning
this back to sarge since it is still only available on i386 and powerpc
on sarge.

Chris



Tags added: sarge Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sid Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sarge Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Feldner <pelzi@flying-snail.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 271256-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 282352-done@bugs.debian.org, 285126-done@bugs.debian.org, 271256-done@bugs.debian.org, 286510-done@bugs.debian.org, 282364-done@bugs.debian.org, 282232-done@bugs.debian.org, 280373-done@bugs.debian.org, 252670-done@bugs.debian.org, 278173-done@bugs.debian.org, 287080-done@bugs.debian.org, 253701-done@bugs.debian.org, 247243-done@bugs.debian.org, 282257-done@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: KDE 3.3.1 in sarge, closes many RC bugs
Date: Mon, 3 Jan 2005 21:59:38 -0800
[Message part 1 (text/plain, inline)]
tags 285126 -sarge
tags 271256 -sarge
tags 285126 -sarge
tags 252670 -sarge
tags 278173 +sid
tags 253701 -sarge
tags 247243 -sarge
thanks

KDE 3.3 has been accepted into testing and should be visible from the
mirrors starting tomorrow.  I believe all of these RC bugs can therefore be
closed.

Many thanks to the KDE team for their efforts in making this happen, and to
Anthony Towns for handholding britney through the transition.

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:25:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.